Name:             google-gson
Version:          2.3.1
Release:          %mkrel 4
Group:            Development/Java
Summary:          Java lib for conversion of Java objects into JSON representation
License:          ASL 2.0
URL:              https://github.com/google/gson
Source0:          https://github.com/google/gson/archive/gson-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-eclipse-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
Gson is a Java library that can be used to convert a Java object into its
JSON representation. It can also be used to convert a JSON string into an
equivalent Java object. Gson can work with arbitrary Java objects including
pre-existing objects that you do not have source-code of.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n gson-gson-%{version}

# convert CR+LF to LF
sed -i 's/\r//g' LICENSE

# Test requires network
rm src/test/java/com/google/gson/DefaultInetAddressTypeAdapterTest.java

# Throwable has more fields serialized, probably incorrect test expectations
rm src/test/java/com/google/gson/functional/ThrowableFunctionalTest.java

%build
# LANG="C" or LANG="en_US.utf8" needed for the tests
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.3.1-4.mga6
+ Revision: 981859
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.3.1-3.mga6
+ Revision: 976283
- First rebuild of the java stack
- sync package google-gson with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.2.4-6.mga5
+ Revision: 805781
- Clean rebuild
- Sync with Fedora 21
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-4.mga5
+ Revision: 750627
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.2.4-2.mga4
+ Revision: 545007
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 2.2.4-1.mga4
+ Revision: 500606
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.2.2-1.mga4
+ Revision: 452941
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 352452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.2.1-1.mga3
+ Revision: 292692
- New version

* Tue Jul 19 2011 dmorgan <dmorgan> 1.7.1-3.mga2
+ Revision: 126853
- imported package google-gson


* Fri May 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.7.1-3
- Removal of failing testInetAddressSerializationAndDeserialization

* Wed May 11 2011 Jaromir Capik <jcapik@redhat.com> - 1.7.1-2
- Conversion of CR+LF to LF in the license file

* Tue May 10 2011 Jaromir Capik <jcapik@redhat.com> - 1.7.1-1
- Initial version of the package
